Subject: RE: ISCSI: A propos MIB and specially iSCSI MIB

From: "Michele Hallak - Stamler" <[email-masked]>
Date: Tue, 28 Aug 2001 18:20:19 +0200

Mark,
Thanks a lot for your prompt answer...
My comments are prefixed by MHS.
Thanks again,
	Michele

> -----Original Message-----
> From: Mark Bakke [mailto:[email-masked]]
> Sent: Monday, August 27, 2001 3:47 PM
> To: Michele Hallak - Stamler
> Cc: [email-masked]
> Subject: Re: ISCSI: A propos MIB and specially iSCSI MIB
> 
> 
> Michele-
> 
> Thanks for the comments.  My comments are below.
> 
> --
> Mark
> 
> Michele Hallak - Stamler wrote:
> > 
> > Since you are meeting at interim meetings on MIBs:
> > 
> > The following mail summarizes my suggestions concerning the
> improvement
> > of iSCSI MIB:
> > 
> > 1. New Textual Convention:
> >  AuthenticationMethodTC  ::= TEXTUAL-CONVENTION
> >     STATUS current
> >     DESCRIPTION
> >         "List of possible authentication methods."
> >     SYNTAX INTEGER {
> >                 none(1),
> >                 crc32(2),
> >                 crc64(3),
> >                 md5(4),
> >                 kerberosMd5(5),
> >                 kerberosMd5des(6),
> >                 kerberosMd5desHmark(7)
> >         }
> 
> This is a text field in the current MIB; it will change to
> an OID field in the next version, which acts a little like
> your enumerated types, but is extensible without modifying
> the MIB.  BTW, this is a set of two attributes called DataDigest
> and HeaderDigest; AuthMethod is something completely different.
> All of the digest methods will be removed from draft-08 with
> the exception of "none" and "crc-32c".  With the new OID scheme;
> values for these can be added to your enterprise MIB if you
> choose to implement them.
> 
	[MHS]  If it will be OIDs, it's fine with me. I was
inconfortable with simple strings.
> > 
> > 2. Add RowStatus and Read-Write Access to the portals and to the
> > authorized list of initiators.
> 
> Which attributes to write and which rows to delete are currently
> under consideration.  We are looking for detailed input on this.
> 
> Please send the list of attributes you wish to write, and why
> you wish to write them.
	[MHS]  Mainly, we would like to add the type of access for each
initiator: read-only or read-write.

> > 3. Add RowStatus to iscsiTargetAttributesTable in order to allow an
> > administrator to create target and
> > set the access of the fields:     iscsiTgtName  and iscsiTgtAlias as
> > read-create
> 
> It's not possible to create an iSCSI target without first creating
> a SCSI target.  I don't think we will be ready to explore this until
> we have made progress on a SCSI MIB.  If you have some ideas on how
> a management station would make use of this (with both MIBs) to create
> new targets, please send them.
> 
	[MHS]  After having made some clarifications, I understand what
you mean now.
	What is the status of the SCSI MIB? Is there any work done on
the matter? 
	And at which organization?
	For our management we need the ability to create targets. What
is your suggestion?
	(Apart of private MIB)
	I think that anyway we can allow to create targets via iSCSI
MIB; it is MAX-ACCESS and it
	will be the responsibility of the implementation to update SCSI
modules about new targets.
	Your opinion?

> > I hope that you'll aggree to make the change,
> > 
> >         Michele
> 
> -- 
> Mark A. Bakke
> Cisco Systems
> [email-masked]
> 763.398.1054
	[MHS]  
	Again Thanks a lot,

	Michele Hallak-Stamler
	Sanrad Intelligent Storage
	[email-masked]
	972-3-7674809